<?php

namespace App\Utility;

class SearchUtility
{
    const HELP_CODE_REC    = '1SEXTREC';
    const HELP_CODE_NOTREC = '1SEXTNONR';

    const SEARCH_STATUS_FIND_REC    = 1;
    const SEARCH_STATUS_FIND_NOTREC = 2;
    const SEARCH_STATUS_NOTFIND     = 3;
    const SEARCH_STATUS_AMBIGUOUS   = 4;
    const SEARCH_STATUS_HAS_REQUEST = 5;

    public static function getResponseTypesChoices(): array
    {
        return [
            'responseType.'.self::SEARCH_STATUS_FIND_REC    => self::SEARCH_STATUS_FIND_REC,
            'responseType.'.self::SEARCH_STATUS_FIND_NOTREC => self::SEARCH_STATUS_FIND_NOTREC,
            'responseType.'.self::SEARCH_STATUS_NOTFIND     => self::SEARCH_STATUS_NOTFIND,
            'responseType.'.self::SEARCH_STATUS_AMBIGUOUS   => self::SEARCH_STATUS_AMBIGUOUS,
        ];
    }

    public static function getResponseTypesChoicesForInstructor(): array
    {
        return [
            'responseType.'.self::SEARCH_STATUS_FIND_REC    => self::SEARCH_STATUS_FIND_REC,
            'responseType.'.self::SEARCH_STATUS_FIND_NOTREC => self::SEARCH_STATUS_FIND_NOTREC,
            'responseType.'.self::SEARCH_STATUS_AMBIGUOUS   => self::SEARCH_STATUS_AMBIGUOUS,
        ];
    }
}
