<?php

namespace App\Utility;

class UserUtility
{
    const ROLE_AGENT  = 'ROLE_AGENT';
    const ROLE_NOTARY = 'ROLE_NOTARY';
    const ROLE_ADMIN  = 'ROLE_ADMIN';

    public static function getRoleFromInt(int $number)
    {
        switch ($number) {
            case 3:
                return self::ROLE_ADMIN;
            case 2:
                return self::ROLE_AGENT;
            default:
                return self::ROLE_NOTARY;
        }
    }
}
