![](Documentation/Images/Logo-Departements-Notaires.jpg)

# Départements-Notaires v2

**Départements et Notaires** est un extranet permettant d'apporter une réponse en temps réel aux études notariales 
chargées d’une succession s'interrogeant sur l'existence éventuelle d'une créance du Département au titre de l'aide sociale.

**Départements et Notaires** a été initialement conçu et développé par le Département du Rhône en lien avec la Chambre 
des Notaires du Rhône, et déployé la première fois en janvier 2016 sous le nom **Rhône + Notaires**.

## Fonctionnalités

* **Pour les notaires** :
  * Recherche et réponse immédiate, à l'écran et confirmation par email avec lettre jointe PDF
  * Historique de leurs propres recherches
* **Pour les gestionnaires** :
  * Historiques de toutes les recherches réalisées
  * Statistiques

## Installation et Documentation

* [Installation](Documentation/installation.md)
* [Installation docker](Documentation/installation_docker.md) (pour les développements)
* Personnalisation de l'application **TODO**
* Documentation fonctionnelle **TODO**
 
## Changelog

[Changelog](CHANGELOG.md)
